/* RESET */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

a {
  color: inherit;
  text-decoration: inherit;
}

body {
  font-family: Georgia, serif;
  line-height: 1.6;
  color: #333;
  background-color: #333333;
  font-size: 12pt;
}

p {
  font-family: "Cabin", sans-serif;
  margin-bottom: 1em;
}

ul {
  list-style: none;
}

/* HERO */
.hero {
  position: relative;
  height: 100vh;
  overflow: hidden;
  color: white;
}

/* fallback image */
.hero-bg {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  top: 0;
  left: 0;
  z-index: 0;
}

/* video */
.hero-video {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  top: 0;
  left: 0;
  z-index: 1;

  opacity: 0;
  transition: opacity 1.5s ease;
}

.hero-video.loaded {
  opacity: 1;
}

/* subtle overlay */
.hero::after {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.25);
  z-index: 1;
}

/* NAV */
.nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 20px 40px;
  align-items: center;
  position: relative;
  z-index: 2;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 50px;
}

.nav-links {
  font-family: 'Telegraf', sans-serif;
  text-transform: uppercase;
  font-weight: bold;
}

.nav-links li:hover {
  color: lightgray;
}

.logo img {
  height: 100px;
  display: block;
}

/* HERO TEXT */
.hero-text {
  position: absolute;
  bottom: 60px;
  left: 60px;
  z-index: 2;
}

.hero-text h1 {
  font-size: 42px;
  max-width: 500px;
  font-weight: 300;
  line-height: 1.2em;
}

/* SECTIONS */
.section {

}

.image-container {
  height: 100%;
}

.image-container img {
  /* object-fit: cover; */
  object-position: top;
  height: 100%;
}

.container {
  width: 100%;
}

h2 {
  font-weight: 500;
  margin-bottom: 1em;
  font-size: 24pt;
}

.section-divider {
  height: 3.5vw;
  width: 100%;
  background-color: rgba(238, 238, 238, 1)
}

.light  {
  height: 700px;
}

.light .two-col .image-container img {
  object-fit: cover;
}

.two-col {
  /* display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 40px;
  align-items: top; */
  display: flex;
  flex-direction: row;
  height: 100%;
  position: relative;
}

.light .two-col .text-container {
  background-color: rgb(250,250,250,0.90);
  padding: 3em;
  z-index: 2;
  max-width: 600px;
  width: 100%;
  height: 700px;
  padding-top: 8%;

  display: flex;
  flex-direction: column;
}

.two-col .text-container {
  position: absolute;
}

.dark .two-col .text-container {
  background-color: rgba(0, 0, 0, 0.7);
  padding: 3em;
  right: 0px;
  height: 100%;
  top: 0px;
  bottom: 0px;
  width: 60%;
  max-width: 450px;
  padding-top: 10%;
}

.fixed-height {
  overflow: hidden;
}

.two-col .image-container {
  width: 100%;
}

.two-col .image-container img {
  width: 100%;
  /* object-fit: cover; */
}


.light {
  background: #f5f5f5;
}

.dark {
  /* background: #2f5f66; */
  background-image: linear-gradient(to bottom, rgb(43, 110, 129), rgb(28, 67, 79));
  color: white;
}

.section img {
  width: 100%;
  display: block;
}

/* FOOTER */
.footer {
  background: #333;
  color: white;
  padding: 30px 20px;
}

.footer .logo {
  margin-top: -20px;
}

.footer-inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.footer ul {
  display: flex;
  list-style: none;
}

.dropdown-parent:hover > .dropdown {
  display: block;
}

.dropdown {
  padding-left: 1em;
  padding-right: 1em;
  padding-top: .25em;
  padding-bottom: .5em;
  /* background-color: rgb(256, 256, 256, .1); */
  position: absolute;
  text-transform: none;
  display: none;
  color: white;
}

.dropdown:hover {x
  display: block;
}


/* RESPONSIVE */
@media (max-width: 768px) {
  .two-col {
    display: flex;
    flex-direction: column;
  }

  .hero-text h1 {
    font-size: 28px;
  }

  .section {
    padding-bottom: 0px;
    height: auto;
  }

  .two-col .text-container {
    position: relative;
  }

  


  .dark .two-col .text-container {
    max-width: 100%;
    width: 100%;
    height: auto;
    padding-bottom: 38px;
    background-color: white;
    color: black;
  }

  .light {
    height: fit-content;
  }

  .light .two-col .text-container {
    position: static;
    height: auto;
    width: 100%;
    max-width: 100%;
  }

  .light .two-col .image-container {
    position: static;
  }

  .dark .two-col .image-container img {
    object-fit: cover;
  }

  .image-container {
    order: +1;
    object-fit: cover;
    height: 200px;
  }

  .nav {
    flex-direction: column;
    gap: 10px;
  }

  .nav-links {
    flex-direction: column;
    align-items: center;
    gap: 1em;
  }

  .dropdown-parent:hover .dropdown {
    display: none;
  }

  .nav-links {
    flex-direction: column;
  }

  .footer-inner .nav-links {
    text-align: right;
  }

  .hero {
    height: 100vh;
  }

  .hero-text {
    right: 60px;
  }

}